import matplotlib.pyplot as plt
numargs = fatiguelife.numargs
[ c ] = [0.9,] * numargs
rv = fatiguelife(c)

# Display frozen pdf

x = np.linspace(0, np.minimum(rv.dist.b, 3))
h = plt.plot(x, rv.pdf(x))

# Check accuracy of cdf and ppf

prb = fatiguelife.cdf(x, c)
h = plt.semilogy(np.abs(x - fatiguelife.ppf(prb, c)) + 1e-20)

# Random number generation

R = fatiguelife.rvs(c, size=100)
